server:
  port: 8087

#本地环境配置
local:
  evn: dev   #环境信息，prod、dev等，主要控制验证码下发，例如dev环境，验证码就是0000，不真正下发

spring:
  profiles:
    active: dev
  main:
    allow-circular-references: true
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 100MB
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      minimum-idle: 3
      maximum-pool-size: 10
      max-lifetime: 30000
      connection-test-query: SELECT 1
  jpa:
    hibernate:
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
      ddl-auto: update
    show-sql: true
  redis:
    database: 8
    host: 127.0.0.1
    port: 6379
    jedis:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 500
        min-idle: 0
    timeout: 60000
    lettuce:
      shutdown-timeout: 0

    password: 3cqscbronly1


# 系统配置
project:
  salt: SALT

#token控制
token:
  header: Authorization   #header里面的标签
  store: mysql            #token的存储方式，mysql为到数据库中查找；redis为从缓存中获取
  days: 100000            #默认token存在redis中的时间，默认使用redis
  prefix: Bearer          #默认token的前缀

#开发平台总路由入口
dp:
  baseRoute: /dp
  uploadPath: d:\
  uploadHost: https://file.al1.qrqy.net/yxt
  #  version: 3.0，不要删除此处，这里是用于JPA字段与操作符分割用的
  baseSqlQuery:
    opSeparator: _


#通信body加解密
crypto:
  desSecretKey: b2c17b46e2b1415392aab5a82869856c
  desIv: 61960842
  force: false
  timeCheck: false
  excludeRoutes:
    - /**/no-need-to-crypt

# 对象存储
#ali:
#  oss:
#    endpoint: oss-cn-beijing.aliyuncs.com
#    accessKeyId: LTAI4G6irYYdnZnao
#    accessKeySecret: JSpJrO0rMdJquJyED
#    publicBucket: ibd-avatar
#    privateBuckte: ibd-file
ali:
  oss:
    endpoint: oss-cn-shanghai.aliyuncs.com
    accessKeyId: LTAIa0lk4TVlirGM
    accessKeySecret: WCLbsOeCTLxTtdWEoDew2KPS9JsqXm
    publicBucket: cv-public
    privateBucket: cv-private
tencent:
  cos:
    #endpoint: cos.ap-beijing.myqcloud.com
    secretId: AKIDb090cx0nKcdNq2xc3E82f16uSjjSu50e
    secretKey: PYR4QVKs9ByUjhOoxpSoukJbdOs52j9I
    region: ap-beijing
    publicBucket: ibd-avatar-1257584888
    privateBucket: ibd-file-1257584888
qiniu:
  kodo:
    accessKey: JXanCoTnAoyJd4WclS-zPhA8JmWooPTqvK5RCHXb
    secretKey: ouc-dLEY42KijHeUaTzTBzFeM2Q1mKk_M_3vNpmT
    publicDomain: ytcf.public.isart.me
    privateDomain: ytcf.public.isart.me
    region: qiniu.region.z1

aliyun:
  sms:
    accessKeyId: LTAI5tEkstZLccu3Wr29qGmg
    accessKeySecret: dyFWsjuqc7fdjfyFSD7j3x7hby5S0J
    signName: 华礼互通
    templateCode: SMS_249275748

# log
logging:
  level:
    root: INFO
    # 这里主要是少一些警告级的启动提示，如无必要，先不要删除
    springfox: ERROR

# swagger
springfox:
  documentation:
    swagger:
      use-model-v3: false